Skip to main content
PUT
/
v1
/
warehouses
/
{id}
Update a warehouse
curl --request PUT \
  --url https://dev.flextell.ai/api/v1/warehouses/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "id": 2,
  "name": "<string>",
  "code": "<string>",
  "description": "<string>",
  "country_id": 123,
  "city_id": 123,
  "district_id": 123,
  "postal_code": "<string>",
  "address": "<string>",
  "latitude": 123,
  "longitude": 123,
  "contact_fullname": "<string>",
  "contact_email": "jsmith@example.com",
  "contact_phone": "<string>",
  "is_active": true,
  "is_default": true
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "country": {
      "id": 123,
      "name": "<string>"
    },
    "city": {
      "id": 123,
      "name": "<string>"
    },
    "district": {
      "id": 123,
      "name": "<string>"
    },
    "postal_code": "<string>",
    "address": "<string>",
    "latitude": "<string>",
    "longitude": "<string>",
    "contact_fullname": "<string>",
    "contact_email": "<string>",
    "contact_phone": "<string>",
    "is_active": "<string>",
    "is_default": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The warehouse identifier

Body

application/json
id
integer
required

The warehouse identifier.

Required range: x >= 1
name
string

The name.

Maximum string length: 255
code
string | null

The unique code.

Maximum string length: 255
description
string | null

The description.

country_id
integer | null

The country ID.

city_id
integer | null

The city ID.

district_id
integer | null

The district ID.

postal_code
string | null

The postal code.

Maximum string length: 20
Pattern: ^\d+$
address
string | null

The street address.

Maximum string length: 1000
latitude
number | null

The latitude.

longitude
number | null

The longitude.

contact_fullname
string | null

The contact fullname.

Maximum string length: 255
contact_email
string<email> | null

The contact email.

Maximum string length: 255
contact_phone
string | null

The contact phone.

Maximum string length: 255
is_active
boolean

Whether the record is active.

is_default
boolean

Whether the record is the default.

Response

success
string
required
data
WarehouseResource · object
required